> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Dashboard screen asset

> Retrieves a specific screen asset for a given dashboard. The asset path is specified by the wildcard part of the URL.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml get /api/v2/dashboards/{dashboardId}/screens/{*}
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/dashboards/{dashboardId}/screens/{*}:
    get:
      tags:
        - Dashboard
      summary: Dashboard screen asset
      description: >-
        Retrieves a specific screen asset for a given dashboard. The asset path
        is specified by the wildcard part of the URL.
      parameters:
        - schema: {}
          in: query
          name: not
        - schema:
            type: string
          in: query
          name: deploymentId
          required: false
          description: >-
            Optional dashboard deployment id to fetch assets from (e.g. dev
            deployment). If omitted, the production deployment is used.
        - schema:
            type: string
          in: path
          name: dashboardId
          required: true
          description: >-
            The unique identifier of the dashboard whose asset is being
            requested.
        - schema:
            type: string
          in: path
          name: '*'
          required: true
          description: >-
            The path to the screen asset (e.g., 'index.html' or
            'assets/app.js').
      responses:
        '200':
          description: >-
            The requested asset content. The Content-Type header will indicate
            the asset's MIME type.
          content:
            application/json:
              schema: {}
        '400':
          description: >-
            Bad request, e.g., the dashboardId or asset path was not in a valid
            format.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: >-
            Not Found, the dashboard or the specified screen asset does not
            exist.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: >-
            Internal server error or an error occurred while retrieving the
            asset.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false

````